#define trigger A4 //18
#define echo A5 //M19
float time = 0, distance = 0;

void setup()
{
  Serial.begin(9600);
  pinMode(trigger, OUTPUT);
  pinMode(echo, INPUT);
}

void loop()
{
  long dur;
  long tocm;
  digitalWrite(trigger, LOW);
  delayMicroseconds(2);
  digitalWrite(trigger, HIGH);
  delayMicroseconds(10);
  digitalWrite(trigger, LOW);
  delayMicroseconds(2);
  dur = pulseIn(echo, HIGH);
  tocm = microsecondsToCentimeters(dur);
  Serial.print("Distance: ");
  Serial.print(tocm);
  Serial.println("cm");
  delay(100);
}
long microsecondsToCentimeters(long microseconds)
{
  return microseconds / 29 / 2;
}
