#include <Servo.h> 

Servo myservo;  // create servo object to control a servo
int pos = 0;  // variable to store the servo position

void setup() 
{
  // attaches the servo on pin 10 to the servo object
  myservo.attach(10);   
}

void loop() 
{
  myservo.write(15);//goes to 15 degrees 
  delay(1000);//wait for a second

  myservo.write(30);//goes to 30 degrees 
  delay(1000);//wait for a second.33
  
  myservo.write(45);//goes to 45 degrees 
  delay(1000);//wait for a second.33

  myservo.write(60);//goes to 60 degrees 
  delay(1000);//wait for a second.33

  myservo.write(75);//goes to 75 degrees 
  delay(1000);//wait for a second.33

  myservo.write(90);//goes to 90 degrees
  delay(1000);//wait for a second

  myservo.write(75);//back to 75 degrees 
  delay(1000);//wait for a second.33

  myservo.write(60);//back to 60 degrees
  delay(1000);//wait for a second.33

  myservo.write(45);//back to 45 degrees
  delay(1000);//wait for a second.33

  myservo.write(30);//back to 30 degrees
  delay(1000);//wait for a second.33

  myservo.write(15);//back to 15 degrees 
  delay(1000);//wait for a second

  myservo.write(0);//back to 0 degrees 
  delay(1000);//wait for a second
  
  for(int num=0;num<=180;num++)
  {
     myservo.write(num);//back to 'num' degrees(0 to 180)
     delay(10);//control servo speed
  }
  for(int num=180;num>=0;num--)
  {
     myservo.write(num);//back to 'num' degrees(180 to 0)
     delay(10);//control servo speed 
  }
}
